"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isFilterSetAffix = exports.isFilterSetIn = exports.isFilterSetExact = exports.isFilterSetRange = exports.isFilterSetConfig = exports.isFilterSetValue = void 0;
const types_1 = require("./types");
function isFilterSetValue(config) {
    return config.value !== undefined;
}
exports.isFilterSetValue = isFilterSetValue;
function isFilterSetConfig(config) {
    const keys = Object.keys(config);
    const attributes = keys.filter(item => !types_1.DRFFilters.includes(item) && item !== 'value'); // exclude all default drf Filters and value
    return attributes.length > 0;
}
exports.isFilterSetConfig = isFilterSetConfig;
function isFilterSetRange(config) {
    const keys = Object.keys(config);
    const rangeKeys = ['lt', 'gt', 'lte', 'gte'];
    const attributes = keys.filter(item => rangeKeys.includes(item)); // exclude all default drf Filters
    return attributes.length > 0;
}
exports.isFilterSetRange = isFilterSetRange;
function isFilterSetExact(config) {
    return config.exact !== undefined;
}
exports.isFilterSetExact = isFilterSetExact;
function isFilterSetIn(config) {
    return config.in !== undefined;
}
exports.isFilterSetIn = isFilterSetIn;
function isFilterSetAffix(config) {
    return config.startswith !== undefined || config.endswith !== undefined;
}
exports.isFilterSetAffix = isFilterSetAffix;
//# sourceMappingURL=guards.js.map